Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Wed, 23 Jul 2025 13:32:15 +0200

Eli Zaretskii, le mer. 23 juil. 2025 14:26:13 +0300, a ecrit:
> > Date: Tue, 22 Jul 2025 20:27:17 +0200
> > From: Samuel Thibault <[email-masked]>
> > Cc: [email-masked], [email-masked], [email-masked],
> > 	[email-masked]
> > 
> > > > They are fully part of the discussion, because that changes what is
> > > > actually supposed to be stored in the terminal, and thus what the
> > > > accessibility feature is supposed to expose to the user: should it
> > > > expose a tab, or spaces. But if a tab, then how can the cursor be inside
> > > > the tab when emitting \t\b. That's the *whole* problem at stake.
> > > 
> > > So you are saying that even using cursor movement commands could cause
> > > problems,
> > 
> > The problem is that some people consider \t as not being only a cursor
> > movement. That's the whole point of the question raised above.
> 
> I'm talking about cursor movement using "left" and "right" escape
> sequences.  If they also store something other than SPCes, they will
> cause similar problems to screen readers, no?

No, because for them there is no confusion between producing content or
not.

Samuel